# ZMQSocket::setSockOpt

(PECL zmq >= 0.5.0)

ZMQSocket::setSockOpt — Défini une option de socket

### Description

public ZMQSocket::setSockOpt(int `$key`, mixed `$value`): ZMQSocket

Défini une option de socket ZMQ. Le type du paramètre `value` dépend de la clé `key`. Voir les types de constantes ZMQ pour plus d'informations.

### Liste de paramètres

`key`

  Une constante `ZMQ::SOCKOPT_*`.

`value`

  La valeur du paramètre.

### Valeurs de retour

Retourne l'objet courant. Lance une exception ZMQSocketException en cas d'erreur.